> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 専用 IP を承認

> 専用IPを承認

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json POST /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/authorize
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/authorize:
    post:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: 専用IPを承認
      description: BYOH 専用の IP を認証します。
      operationId: >-
        authorize_public_dedicated_ip_v1_public_accounts__account_id__dedicated_ips__dedicated_ip_id__authorize_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: dedicated_ip_id
          required: true
          schema:
            format: uuid
            title: Dedicated Ip Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DedicatedIpAuthorizeRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDedicatedIpResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DedicatedIpAuthorizeRequest:
      description: BYOH専用IPを承認する要求本文。
      properties:
        reissue:
          default: false
          description: 既存のものがある場合でもセットアップキーを強制的に再発行
          title: 再発行
          type: boolean
      title: DedicatedIpAuthorizeリクエスト
      type: object
    PublicDedicatedIpResponse:
      properties:
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          description: 割り当て用の自律システム番号
          title: ASN
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: 割り当ての ISO 国コード
          title: 国コード
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: 作成タイムスタンプ
          title: 作成日時
        id:
          description: 専用IP UUID
          format: uuid
          title: ID
          type: string
        ip_addresses:
          description: この割り当てのパブリック アドレス
          items:
            $ref: '#/components/schemas/PublicDedicatedIpAddressResponse'
          title: IPアドレス
          type: array
        name:
          description: 顧客に表示される専用 IP 名
          title: 名前
          type: string
        status:
          description: プロビジョニングまたはライフサイクルのステータス
          title: ステータス
          type: string
        type:
          description: IP専用割り当てタイプ
          title: 種類
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: 最終更新タイムスタンプ
          title: 更新日時
      required:
        - id
        - name
        - status
        - type
      title: PublicDedicatedIpResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    PublicDedicatedIpAddressResponse:
      description: レピュテーション信号のない公開専用 IP アドレス メタデータ。
      properties:
        fcrdns_confirmed:
          default: false
          description: 順方向確認済み逆方向 DNS が通過したかどうか
          title: Fcrdns を確認しました
          type: boolean
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          description: 現在のヘルス状態（利用可能な場合）
          title: 正常
        ip:
          description: パブリック IP アドレス
          title: IP
          type: string
        rdns:
          anyOf:
            - type: string
            - type: 'null'
          description: 構成時に DNS ホスト名を逆にする
          title: rDNS
      required:
        - ip
      title: PublicDedicatedIpAddressResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````